Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362472 - [RFE] Remove dependency on fop and its transitive dependencies
Summary: [RFE] Remove dependency on fop and its transitive dependencies
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: General
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0
Assignee: Martin Perina
QA Contact: Pavol Brilla
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 10:03 UTC by Martin Perina
Modified: 2017-02-01 14:53 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:53:21 UTC
oVirt Team: Infra
mperina: ovirt-4.1?
lsvaty: testing_plan_complete-
mperina: planning_ack?
mperina: devel_ack+
lsvaty: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 62589 master MERGED restapi: remove fop dependency 2016-09-02 07:35:20 UTC

Description Martin Perina 2016-08-02 10:03:46 UTC
Description of problem:

We need fop and its transitive dependencies (avalon-framework, batik, xmlgraphics-common, ...) only to generate single PDF report defined in GlusterVolumeProfileDetails.xsl. This report contains only text information structured using tables, but no graphics, so there is no need to generate PDF file. Also fop and its dependencies are not packaged and we need to distribute those libraries inside engine RPMs. This RFE suggest to remove all code dependent on fop and remove fop and its dependencies from engine RPMs

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Sandro Bonazzola 2016-12-12 13:58:01 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 4 Pavol Brilla 2017-01-18 11:05:38 UTC
4.0

# yum list ovirt-engine
Loaded plugins: product-id, search-disabled-repos, versionlock
Installed Packages
ovirt-engine.noarch    4.0.6.3-0.1.el7ev              @4.0.6-7
# yum deplist ovirt-engine | grep fop
  dependency: fop
   provider: fop.noarch 1.1-6.el7
  dependency: fop
   provider: fop.noarch 1.1-6.el7


4.1

# yum list ovirt-engine
Loaded plugins: fastestmirror, versionlock
Installed Packages
ovirt-engine.noarch  4.1.0-0.4.master.20170118090304.git86ab9ea.el7.centos   @ovirt-4.1-experimental
# yum deplist ovirt-engine | grep fop


Verified


Note You need to log in before you can comment on or make changes to this bug.